<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
<!--	FORMULARIOS-->
		<form-bean
				name="w83bFormBusqEmpresas"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bEmpresasBean" type="w83b.w83bBeans.W83bEmpresasBean"/>
				<form-property name="codSelec" type="java.lang.String"/>	
		</form-bean>
		<form-bean
				name="w83bFormNuevoEmpresas"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bEmpresasNuevoBean" type="w83b.w83bBeans.W83bEmpresasBean"/>
		</form-bean>
<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bFormBusqEmpresas[w83bEmpresasBean],w83bFormNuevoEmpresas[w83bEmpresasNuevoBean]"/>				   
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.mantenimientos.empresas"/>
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.empresas.filtro"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="action" type="java.lang.String" initial="B"/>
				<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
				<form-property name="busqRealizada" type="java.lang.String" initial="false"/>	
				<form-property name="busqRealizadaTemp" type="java.lang.String" initial="false"/>	
				<form-property name="codSelec" type="java.lang.String"/>	
				
				<form-property name="migas" type="java.lang.String" initial ="inicio.mantenimiento.empresa"/>								
				
				<form-property name="w83bResultado" type="java.lang.String"/>
				
				<form-property name="w83bEmpresasBean" type="w83b.w83bBeans.W83bEmpresasBean"/>
				<form-property name="w83bEmpresasNuevoBean" type="w83b.w83bBeans.W83bEmpresasBean"/>
				<form-property name="w83bEmpresasTempBean" type="w83b.w83bBeans.W83bEmpresasBean"/>
				<form-property name="w83bEmpresasNuevoTempBean" type="w83b.w83bBeans.W83bEmpresasBean"/>
				<form-property name="w83bListaEmpresas" type="java.util.List"/>				
				<form-property name="w83bListaCod" type="java.util.List"/>				
				<form-property name="w83bListaConvenio" type="java.util.List"/>
								
				<form-property name="subOpFlag" type="java.lang.String" initial="Empresas"/>
		</form-bean>
	</form-beans>
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
   		<!--	MOSTRAR PÁGINAS-->
		<action
				path ="/w83bInicioBusquedaEmpresas" forward="paginaEmpresas"/>
		<action
				path ="/w83bInicioBusquedaEmpresasMenu" forward="paginaEmpresasMenu"/>
		<action
				path ="/w83bInicioAnyadirEmpresasMenu" forward="paginaAnyadirEmpresasMenu"/>
		
<!--	DISPATCHES-->
		<action
				path="/w83bDispatch"
				name="w83bFormBusqEmpresas"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.buscar"
					path="/w83bBusqEmpresas.do"/>
				<forward
					name="comun.boton.anyadir"
					path="/w83bTablaEmpresasIraNuevo.do"/>
				<forward
					name="comun.boton.editar"
					path="/w83bTablaEmpresasDetalle.do"/>
				<forward
					name="comun.boton.consultar"
					path="/w83bTablaEmpresasDetalle.do"/>
				<forward
					name="comun.boton.exportaraExcel"
					path="/w83bTablaEmpresasExcel.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bAtrasEmpresasBusq.do"/>
		</action>
		<action
				path="/w83bDispatchNueva"
				name="w83bFormNuevoEmpresas"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.guardar"
					path="/w83bMovimientoEmpresas.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bTablaEmpresasAtrasNuevoEdicion.do"/>
		</action>
		
				
		<action
				path="/w83bDispatchConveniosAtras"
				scope="request"
				parameter="subOpFlag"
				type="w83b.w83bUtilidades.W83bDispatchValueContexto">
				<forward
					name="Empresas"
					path="/w83bTablaEmpresasVolverConvenios.do"/>
				<forward
					name="EmpresasBusq"
					path="/w83bTablaEmpresasAtrasNuevoEdicion.do"/>
		</action>
		
		<!-- Operaciones de Paso -->
		<action path="/w83bTablaEmpresasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bEmpresas.W83bTablaEmpresasOPAction" 
			 validate="false">
			<forward name="find" path="/w83bBusqEmpresas.do"/>
			<forward name="ok" path="/w83bTablaEmpresasOutOP.do"/>
			<forward name="outOP" path="/w83bTablaEmpresasOutOP.do"/>
			<forward name="error" path="/w83bInicioBusquedaEmpresasMenu.do"/>
		</action>
		
		<action path="/w83bTablaEmpresasOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bEmpresas.W83bTablaEmpresasOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaEmpresasMenu.do"/>
			<forward name="error" path="/w83bInicioBusquedaEmpresasMenu.do"/>
		</action>	
			
		<action path="/w83bTablaConvenioOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bEmpresas.W83bTablaConvenioOPAction" 
			 validate="false">
			<forward name="find" path="/w83bBusqConvenio.do"/>
			<forward name="ok" path="/w83bTablaConvenioOutOP.do"/>
			<forward name="outOP" path="/w83bTablaConvenioOutOP.do"/>
			<forward name="error" path="/w83bInicioAnyadirEmpresasMenu.do"/>
		</action>
		
		<action path="/w83bTablaConvenioOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bEmpresas.W83bTablaConvenioOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioAnyadirEmpresasMenu.do"/>
			<forward name="error" path="/w83bInicioAnyadirEmpresasMenu.do"/>
		</action>	
		
		<action path="/w83bTablaEmpresasIraNuevo" 
		name="w83bFormBusqEmpresas" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bEmpresas.W83bTablaEmpresasIraNuevoAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioAnyadirEmpresasMenu.do"/>
			<forward name="error" path="/w83bInicioBusquedaEmpresasMenu.do"/>
		</action>
		
				
		<action path="/w83bTablaEmpresasExcel" 
		name="w83bFormBusqEmpresas" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bEmpresas.W83bTablaEmpresasExcelAction" 
			 validate="false">
		</action>			
				
		<action path="/w83bAtrasEmpresasBusq" 
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunJSP/w83bPaginaBienvenida.do">
		</action> 
		
		<action path="/w83bTablaEmpresasAtrasNuevoEdicion" 
		name="w83bFormBusqEmpresas" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bEmpresas.W83bTablaEmpresasAtrasNuevoEdicionAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaEmpresasMenu.do"/>
			<forward name="error" path="/w83bInicioAnyadirEmpresasMenu.do"/>
		</action>		
		
		<action path="/w83bTablaEmpresasVolverConvenios" 
		scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bEmpresas.W83bTablaEmpresasVolverConveniosAction" 
			 validate="false">
			<forward name="ok" path="/w83bTablaEmpresasDetalle.do"/>
			<forward name="error" path="/w83bInicioAnyadirEmpresasMenu.do"/>
		</action>		
		<action path="/w83bTablaEmpresasBorrarOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bEmpresas.W83bTablaEmpresasBorrarOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bTablaEmpresasBorrar.do"/>
			<forward name="error" path="/w83bInicioAnyadirEmpresasMenu.do"/>
		</action>
		<action path="/w83bTablaEmpresasBorrarOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bEmpresas.W83bTablaEmpresasBorrarOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioAnyadirEmpresasMenu.do"/>
			<forward name="error" path="/w83bInicioAnyadirEmpresasMenu.do"/>
		</action>
		<!-- Fin Operaciones de Paso -->
		<!-- Operaciones Internas -->	
   		<action path ="/w83bBusqEmpresas" 
			 parameter="w83bBusqEmpresasOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaEmpresasMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaEmpresasOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaEmpresasMenu.do" />
		</action>
   		<action path ="/w83bBusqConvenio" 
			 parameter="w83bBuscConvenioOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaEmpresasMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaConvenioOutOP.do" />
					<forward name="error" path="/w83bInicioAnyadirEmpresasMenu.do" />
		</action>
   		<action path ="/w83bTablaEmpresasDetalle" 
			 parameter="w83bDetalleEmpresasOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaEmpresasMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirEmpresasMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirEmpresasMenu.do" />
		</action>
   		<action path ="/w83bMovimientoEmpresas" 
			 parameter="w83bMovimientoEmpresasOI" 
			 validate="true" name="w83bFormNuevoEmpresas" 
			 input="/w83bInicioAnyadirEmpresasMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirEmpresasMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirEmpresasMenu.do" />
		</action>
   		<action path ="/w83bTablaEmpresasBorrar" 
			 parameter="w83bBorrarEmpresasOI" 
			 validate="false" name="w83bFormNuevoEmpresas" 
			 input="/w83bInicioAnyadirEmpresasMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaEmpresasBorrarOutOP.do" />
					<forward name="error" path="/w83bInicioAnyadirEmpresasMenu.do" />
		</action>
		<!-- Fin Operaciones Internas -->	
		<!-- SUB-OPERACIONES -->
		<action path="/w83bAsociarConvenioSubOp" name="w83bFormNuevoEmpresas" parameter="/conveniosOP/w83bSubOpConveniosInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/EmpresasOP/w83bDispatchConveniosAtras.do" />
		</action>
		
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/mantenimientos/validation-tiposempresas.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>